%define major		3
%define libname		%mklibname plist %{major}
%define libnamedev	%mklibname plist -d
%define libnamecxx	%mklibname plist++ %{major}
%define libnamecxxdev	%mklibname plist++ -d

Name:		libplist
Version:	1.12
Release:	%mkrel 1
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.xz
#-----------------------------------
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}xml2-devel
#-----------------------------------

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libplist is a library for manipulating Apple Binary and XML Property Lists

#----------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for libplist
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name}, development headers and libraries.

#----------------------------------------------------------------------------

%package -n	%{libnamecxx}
Summary:	C++ binding for libplist
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libnamecxx}
C++ bindings for %{name}

#----------------------------------------------------------------------------

%package -n	%{libnamecxxdev}
Summary:	Development package for libplist++
Group:		Development/Libraries
Requires:	%{libnamecxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}
Conflicts:	%{mklibname plist++ 0} < 1.0

%description -n %{libnamecxxdev}
%{name}, C++ development headers and libraries.

#----------------------------------------------------------------------------

%package -n	python-plist
Summary:	Python package for libplist
Group:		Development/Python
BuildRequires:	python-cython
BuildRequires:	python-devel
Requires:	python

%description -n python-plist
%{name}, python libraries and support

#----------------------------------------------------------------------------
%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x --disable-static
make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_includedir}/plist/cython
install -m 0644 cython/plist.pxd %{buildroot}%{_includedir}/plist/cython/

find %{buildroot} -name '*.la' -delete

%files

%doc AUTHORS COPYING.LESSER README
%{_bindir}/plistutil

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libnamedev}
%defattr(-,root,root)
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
%{_includedir}/plist/cython/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%files -n %{libnamecxx}
%defattr(-,root,root)
%{_libdir}/%{name}++.so.%{major}
%{_libdir}/%{name}++.so.%{major}.*

%files -n %{libnamecxxdev}
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}++.pc
%{_libdir}/%{name}++.so

%files -n python-plist
%defattr(-,root,root)
%{python_sitearch}/plist.so

%clean
rm -rf %buildroot

%changelog
* Sat Apr 08 2017 bb2 <bb2> - 1.12-1pclos2017
- new version
- new major 3

* Sat Apr 08 2017 bb2 <bb2> - 1.11-2pclos2017
- rebuild for 2017

* Tue May 26 2014 bb <bb> 1.11-1pclos2014
- update
